AIMerParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.aimer

## Class AIMerParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.aimer.AIMerParameters

-     public class AIMerParameters
      extends java.lang.Object

  Parameter set for the AIMer PQC signature scheme (KpqC Round 2 submission). The six NIST submission variants are exposed as the `aimer128f`, `aimer128s`, `aimer192f`, `aimer192s`, `aimer256f` and `aimer256s` constants, covering NIST security categories 1/3/5 in fast and short trade-off flavours.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AIMerParameters` | `aimer128f`
    `static AIMerParameters` | `aimer128s`
    `static AIMerParameters` | `aimer192f`
    `static AIMerParameters` | `aimer192s`
    `static AIMerParameters` | `aimer256f`
    `static AIMerParameters` | `aimer256s`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAim2IVSize()`
    `int` | `getAim2NumBitsField()`
    `int` | `getAim2NumBitsWord()`
    `int` | `getAim2NumBytesField()`
    `int` | `getAim2NumInputSbox()`
    `int` | `getAim2NumWordsField()`
    `int` | `getAimerCommitSize()`
    `int` | `getAimerL()`
    `int` | `getAimerLogN()`
    `int` | `getAimerN()`
    `int` | `getAimerSaltSize()`
    `int` | `getAimerSeedSize()`
    `int` | `getAimerT()`
    `java.lang.String` | `getName()`
    `int` | `getNumFieldElementsPerMatrix()`
    `int` | `getPublicKeyBytes()`
    `int` | `getSecretKeyBytes()`
    `int` | `getSecurityBits()`
    `int` | `getSecurityBytes()`
    `int` | `getSessionKeySize()`
    `int` | `getSignatureBytes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aimer128f

          public static final AIMerParameters aimer128f

    - #### aimer192f

          public static final AIMerParameters aimer192f

    - #### aimer256f

          public static final AIMerParameters aimer256f

    - #### aimer128s

          public static final AIMerParameters aimer128s

    - #### aimer192s

          public static final AIMerParameters aimer192s

    - #### aimer256s

          public static final AIMerParameters aimer256s

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getSecurityBits

          public int getSecurityBits()

    - #### getSecurityBytes

          public int getSecurityBytes()

    - #### getAim2NumBitsField

          public int getAim2NumBitsField()

    - #### getAim2NumBytesField

          public int getAim2NumBytesField()

    - #### getAim2NumWordsField

          public int getAim2NumWordsField()

    - #### getAim2NumBitsWord

          public int getAim2NumBitsWord()

    - #### getAim2IVSize

          public int getAim2IVSize()

    - #### getAim2NumInputSbox

          public int getAim2NumInputSbox()

    - #### getAimerSaltSize

          public int getAimerSaltSize()

    - #### getAimerSeedSize

          public int getAimerSeedSize()

    - #### getAimerCommitSize

          public int getAimerCommitSize()

    - #### getAimerL

          public int getAimerL()

    - #### getAimerT

          public int getAimerT()

    - #### getAimerN

          public int getAimerN()

    - #### getAimerLogN

          public int getAimerLogN()

    - #### getSessionKeySize

          public int getSessionKeySize()

    - #### getPublicKeyBytes

          public int getPublicKeyBytes()

    - #### getSecretKeyBytes

          public int getSecretKeyBytes()

    - #### getSignatureBytes

          public int getSignatureBytes()

    - #### getNumFieldElementsPerMatrix

          public int getNumFieldElementsPerMatrix()